import axios from 'axios';

export default {
  namespaced: true,
  state: {
    property: null,
    propertyImages: [],
  },
  mutations: {
    setProperty(state, property) {
      state.property = property;
    },
    setPropertyImages(state, images) {
      state.propertyImages = images;
    },
  },
  getters: {},
  actions: {
    getProperty({ commit }, item) {
      axios
        .get(`http://localhost:57260/Property/Property/${item.id}`)
        .then(result => commit('setProperty', result.data))
        .catch(console.error);
    },
    getPropertyImages({ commit }, item) {
      axios
        .get(`http://localhost:57260/property/PropertyImage/getpropertyimages/${item.id}`)
        .then(result => commit('setPropertyImages', result.data))
        .catch(console.error);
    },
  },
};
